org.apache.hc.client5.http.psl

## Class PublicSuffixList

- java.lang.Object
- - org.apache.hc.client5.http.psl.PublicSuffixList

    @Contract(threading=IMMUTABLE)
    public final class PublicSuffixList
    extends Object

Public suffix is a set of DNS names or wildcards concatenated with dots. It represents the part of a domain name which is not under the control of the individual registrant

An up-to-date list of suffixes can be obtained from publicsuffix.org

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`PublicSuffixList(DomainType type, List<String> rules, List<String> exceptions)`
`PublicSuffixList(List<String> rules, List<String> exceptions)`

### Method Summary

Methods
`List<String>` `getExceptions()`
`List<String>` `getRules()`
`DomainType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublicSuffixList

    public PublicSuffixList(DomainType type,
                    List<String> rules,
                    List<String> exceptions)

Since:
  4.5

#### PublicSuffixList

    public PublicSuffixList(List<String> rules,
                    List<String> exceptions)

### Method Detail

#### getType

    public DomainType getType()

Since:
  4.5

#### getRules

    public List<String> getRules()

#### getExceptions

    public List<String> getExceptions()